"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));

var _SimpleImageView = _interopRequireDefault(require("./SimpleImageView"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const SimpleImageViewer = _ref => {
  let {
    isVisible = false,
    imageUri,
    imageTitle = '',
    images = [],
    bgColor,
    onClose
  } = _ref;
  const defaultImage = {
    uri: 'https://via.placeholder.com/2048/18A6F6'
  };
  const [thisVisible, setThisVisible] = (0, _react.useState)(false);
  (0, _react.useEffect)(() => {
    setThisVisible(isVisible);
  }, [isVisible]);

  const closeModal = () => {
    setThisVisible(false);

    if (onClose) {
      onClose(false);
    }
  };

  return /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, {
    animationIn: 'slideInUp',
    animationOut: 'slideOutDown',
    style: {
      padding: 0,
      margin: 0
    },
    isVisible: thisVisible
  }, /*#__PURE__*/_react.default.createElement(_SimpleImageView.default, {
    imageUri: imageUri !== null && imageUri !== void 0 && imageUri.uri ? imageUri : defaultImage,
    imageTitle: imageTitle,
    images: images,
    bgColor: bgColor !== null && bgColor !== void 0 ? bgColor : '#333333'
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: {
      position: 'absolute',
      top: 80,
      right: 0,
      height: 50,
      width: 50,
      alignItems: 'center',
      justifyContent: 'center'
    },
    onPress: closeModal
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      color: '#FFFFFF',
      fontSize: 25
    }
  }, `X`)));
};

var _default = SimpleImageViewer;
exports.default = _default;
//# sourceMappingURL=SimpleImageViewer.js.map